Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface Mtp3SapMBean

public abstract interface Mtp3SapMBean
extends Mtp3ManagedObjectMBean

This interface identifies an Mtp3 Service Access Point (SAP).

The following statistics can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `NI_INTERNATIONAL_00` A Network Indicator constant: Indicates the International Network 00, this has an integer value of 0.
`static int` | `NI_INTERNATIONAL_01` A Network Indicator constant: Indicates the International Network 01, this has an integer value of 1.
`static int` | `NI_NATIONAL_10` A Network Indicator constant: Indicates the National Network 10, this has an integer value of 2.
`static int` | `NI_NATIONAL_11` A Network Indicator constant: Indicates the National Network 11, this has an integer value of 3.
`static int` | `SI_BROADBAND_ISUP` Service Indicator constant: Indicates broadband ISDN User Part.
`static int` | `SI_DUP_CALL_CIRCUIT` Service Indicator constant: Indicates Data User Part - call and circuit-related messages.
`static int` | `SI_DUP_FACILITY_CANCELLATION` Service Indicator constant: Indicates Data User Part - facility registration and cancellation messages.
`static int` | `SI_ISUP` Service Indicator constant: Indicates ISDN User Part
`static int` | `SI_MTP_TESTING` Service Indicator constant: Indicates reserved for MTP Testing User Part.
`static int` | `SI_SATELLITE_ISUP` Service Indicator constant: Indicates satellite ISDN User Part.
`static int` | `SI_SCCP` Service Indicator constant: Indicates SCCP.
`static int` | `SI_SIG_NET_MAN_MESSAGES` Service Indicator constant: Indicates signalling network management messages.
`static int` | `SI_SIG_NET_TEST_MAIN_MESSAGES` Service Indicator constant: Indicates signalling network testing and maintenance messages.
`static int` | `SI_TUP` Service Indicator constant: Indicates Telephone User Part.
`static int` | `STATUS_ALLOWED` A SAP Status constant: Indicates that the status of the Access Point is Allowed.
`static int` | `STATUS_CONGESTED` A SAP Status constant: Indicates that the status of the Access Point is Congested.
`static int` | `STATUS_PROHIBITED` A SAP Status constant: Indicates that the status of the Access Point is Prohibited.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getMtp3SapUser(java.lang.Integer index)` Gets an ObjectName of a particular user of this SAP
`ObjectName[]` | `getMtp3SapUsers()` Gets an array of ObjectNames of the users of this SAP
`java.lang.Integer` | `getSapStatus()` Returns the status of the signalling point identified by this Service Access Point (one of the SAP Status constants).
`java.lang.Integer` | `getServiceIndicator()` Returns the service indicator one of the service indicator constants.
`ObjectName` | `getSignallingPoint()` Gets the ObjectName of the Signalling Point of this Service Access Point.
`void` | `setServiceIndicator(java.lang.Integer serviceIndicator)` Sets the service indicator (one of the service indicator constants).
`void` | `setSignallingPoint(ObjectName signallingPoint)` Sets the Signalling Point of this Service Access Point.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### STATUS_ALLOWED

    public static final int STATUS_ALLOWED

  A SAP Status constant: Indicates that the status of the Access Point is Allowed.

### STATUS_PROHIBITED

    public static final int STATUS_PROHIBITED

  A SAP Status constant: Indicates that the status of the Access Point is Prohibited.

### STATUS_CONGESTED

    public static final int STATUS_CONGESTED

  A SAP Status constant: Indicates that the status of the Access Point is Congested.

### SI_SIG_NET_MAN_MESSAGES

    public static final int SI_SIG_NET_MAN_MESSAGES

  Service Indicator constant: Indicates signalling network management messages.

### SI_SIG_NET_TEST_MAIN_MESSAGES

    public static final int SI_SIG_NET_TEST_MAIN_MESSAGES

  Service Indicator constant: Indicates signalling network testing and maintenance messages.

### SI_SCCP

    public static final int SI_SCCP

  Service Indicator constant: Indicates SCCP.

### SI_TUP

    public static final int SI_TUP

  Service Indicator constant: Indicates Telephone User Part.

### SI_ISUP

    public static final int SI_ISUP

  Service Indicator constant: Indicates ISDN User Part

### SI_DUP_CALL_CIRCUIT

    public static final int SI_DUP_CALL_CIRCUIT

  Service Indicator constant: Indicates Data User Part - call and circuit-related messages.

### SI_DUP_FACILITY_CANCELLATION

    public static final int SI_DUP_FACILITY_CANCELLATION

  Service Indicator constant: Indicates Data User Part - facility registration and cancellation messages.

### SI_MTP_TESTING

    public static final int SI_MTP_TESTING

  Service Indicator constant: Indicates reserved for MTP Testing User Part.

### SI_BROADBAND_ISUP

    public static final int SI_BROADBAND_ISUP

  Service Indicator constant: Indicates broadband ISDN User Part.

### SI_SATELLITE_ISUP

    public static final int SI_SATELLITE_ISUP

  Service Indicator constant: Indicates satellite ISDN User Part.

### NI_INTERNATIONAL_00

    public static final int NI_INTERNATIONAL_00

  A Network Indicator constant: Indicates the International Network 00, this has an integer value of 0.

### NI_INTERNATIONAL_01

    public static final int NI_INTERNATIONAL_01

  A Network Indicator constant: Indicates the International Network 01, this has an integer value of 1.

### NI_NATIONAL_10

    public static final int NI_NATIONAL_10

  A Network Indicator constant: Indicates the National Network 10, this has an integer value of 2.

### NI_NATIONAL_11

    public static final int NI_NATIONAL_11

  A Network Indicator constant: Indicates the National Network 11, this has an integer value of 3.

Method Detail

### setSignallingPoint

    public void setSignallingPoint(ObjectName signallingPoint)
                            throws java.lang.IllegalArgumentException

  Sets the Signalling Point of this Service Access Point.
  Parameters:
    `signallingPoint` - the signalling point
  Throws:
    java.lang.IllegalArgumentException - - thrown if the supplied point code is not in the correct format

### getSignallingPoint

    public ObjectName getSignallingPoint()

  Gets the ObjectName of the Signalling Point of this Service Access Point.
  Returns:
    the Signalling Point Code

### getMtp3SapUsers

    public ObjectName[] getMtp3SapUsers()

  Gets an array of ObjectNames of the users of this SAP

### getMtp3SapUser

    public ObjectName getMtp3SapUser(java.lang.Integer index)

  Gets an ObjectName of a particular user of this SAP

### setServiceIndicator

    public void setServiceIndicator(java.lang.Integer serviceIndicator)
                             throws java.lang.IllegalArgumentException

  Sets the service indicator (one of the service indicator constants). This is used by signalling handling functions to to perform message distribution and, in some applications, to perform message routing.
  Parameters:
    `serviceIndicator` - one of the Service Indicator constants, one of the following:

    - SI_BROADBAND_ISUP
    - SI_DUP_CALL_CIRCUIT
    - SI_DUP_FACILITY_CANCELLATION
    - SI_ISUP
    - SI_MTP_TESTING
    - SI_SATELLITE_ISUP
    - SI_SCCP
    - SI_SIG_NET_MAN_MESSAGES
    - SI_SIG_NET_TEST_MAIN_MESSAGES
    - SI_TUP
  Throws:
    java.lang.IllegalArgumentException - - if the supplied service indicator is not one of the defined types

### getServiceIndicator

    public java.lang.Integer getServiceIndicator()

  Returns the service indicator one of the service indicator constants. This is used by signalling handling functions to to perform message distribution and, in some applications, to perform message routing.
  Returns:
    one of the following service indicator constants:

    - SI_BROADBAND_ISUP
    - SI_DUP_CALL_CIRCUIT
    - SI_DUP_FACILITY_CANCELLATION
    - SI_ISUP
    - SI_MTP_TESTING
    - SI_SATELLITE_ISUP
    - SI_SCCP
    - SI_SIG_NET_MAN_MESSAGES
    - SI_SIG_NET_TEST_MAIN_MESSAGES
    - SI_TUP

### getSapStatus

    public java.lang.Integer getSapStatus()

  Returns the status of the signalling point identified by this Service Access Point (one of the SAP Status constants).
  Returns:
    one of the following SAP Status constants :

    - Allowed - The Access Point is reachable and functioning normally.
    - Prohibited - The Access Point is not reachable. This means that the MTP access point is not accessible
    - Congested - The Access Point is congested. This means that the MTP access point is accessible, but the path to it is heavily loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems